
ThreatFactor NSIA - Feature #232

Select All Module

10/25/2010 09:43 PM - Luke Murphey

Status: Closed Start date: 10/29/2010

Priority: Normal Due date: 10/29/2010

Assignee: Luke Murphey % Done: 100%

Category: Web Interface Estimated time: 2.00 hours

Target version: 1.0.1   

Description

History

#1 - 10/26/2010 01:00 AM - Luke Murphey

- Assignee set to Luke Murphey

#2 - 10/26/2010 01:13 AM - Luke Murphey

- Due date set to 10/29/2010

- Start date changed from 10/25/2010 to 10/29/2010

- Estimated time set to 2.00 h

#3 - 10/26/2010 01:22 PM - Luke Murphey

Below is a code fragment that supports the select all:

<td colspan="2">

    <div style="float:left">

        <span class="TitleText">Status</span>

    </div>

    <div>

        <input type="checkbox" id="selectall">

    </div>

</td>

 

function selectAll(){ $('input[type=checkbox]').attr("checked", "true"); };

function unselectAll(){ $('input[type=checkbox]').removeAttr("checked"); };

function doCheck(){ 

    if( $('#selectall').attr("checked") ) {

      selectAll();

    }

    else{

      unselectAll();

    }

};

$('#selectall').click( doCheck );
#4 - 10/27/2010 10:09 AM - Luke Murphey

May want to consider http://plugins.jquery.com/project/shiftcheckbox which allows you to "select-click" to select multiple (like Gmail).

#5 - 10/28/2010 09:52 PM - Luke Murphey

Below are the view that require the select all checkboxes:

Exception List

Site group rule list

Scan policy management

Group management

User management

#6 - 10/28/2010 11:31 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

Implemented in r913.

#7 - 11/01/2010 11:52 PM - Luke Murphey

- Category set to Web Interface
